import { JSONObject } from "kuzzle-sdk";
import { Decoder, DecodedPayload } from "../../../index";
export declare class DummyTempDecoder extends Decoder {
    measures: readonly [{
        readonly name: "temperature";
        readonly type: "temperature";
    }, {
        readonly name: "accelerationSensor";
        readonly type: "acceleration";
    }, {
        readonly name: "battery";
        readonly type: "battery";
    }];
    constructor();
    validate(rawPayload: JSONObject): Promise<boolean>;
    decode(decodedPayload: DecodedPayload<DummyTempDecoder>, rawPayload: JSONObject): Promise<DecodedPayload<DummyTempDecoder>>;
    decodeSimplePayload(decodedPayload: DecodedPayload<DummyTempDecoder>, payload: JSONObject): void;
}
