import { AssetsGroupContent } from "lib/modules/asset/exports";
import { GroupModel, Metadata } from "lib/modules/shared";
declare const modelName = "Parking";
export interface ParkingMetadata extends Metadata {
    geolocation: {
        lat: number;
        lon: number;
    };
}
export interface ParkingGroupContent extends AssetsGroupContent<ParkingMetadata> {
    model: typeof modelName;
}
export declare const Parking: GroupModel;
export {};
