import { JSONObject } from "kuzzle-sdk";
import { Decoder, DecodedPayload } from "../../../index";
export declare class DummyTempPositionDecoder extends Decoder {
    measures: readonly [{
        readonly name: "temperature";
        readonly type: "temperature";
    }, {
        readonly name: "battery";
        readonly type: "battery";
    }, {
        readonly name: "position";
        readonly type: "position";
    }];
    constructor();
    validate(payload: JSONObject): Promise<boolean>;
    decode(decodedPayload: DecodedPayload<DummyTempPositionDecoder>, payload: JSONObject): Promise<DecodedPayload<DummyTempPositionDecoder>>;
}
